package api;

import java.io.UnsupportedEncodingException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Iterator;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;

public class AutoCompleteParser {

    SAXReader reader = new SAXReader();
    Document document;

//------------------------------------------------------------------------------
    public String[] parse(String word) throws UnsupportedEncodingException, DocumentException, MalformedURLException {

        String url = " https://maps.googleapis.com/maps/api/place/autocomplete/xml?input=" + URLEncoder.encode(word, "UTF-8") + "&types=address&components=country:cz&language=cs&key=AIzaSyD93bXaxNwA5FXrCdpH8prIhcXlwihucKM";
        System.out.println(url);
        document = reader.read(new URL(url));
        String row = null;
        String status = document.getRootElement().element("status").getText();
        ArrayList<String> list = new ArrayList<>();
        String[] moznosti = new String[0];

        if (status.equals("OK")) {
            Element root = document.getRootElement();
            Element foo2 = (Element) root.elementIterator("prediction").next();
            String txt = foo2.element("description").getText().replace(", Česká republika", "");
            for (Iterator i = root.elementIterator("prediction"); i.hasNext();) {
                Element foo = (Element) i.next();
                list.add((foo.element("description").getText().replace(", Česká republika", "")));
            }
            moznosti = new String[list.size() + 1];
            moznosti[0] = word;
            for (int i = 0; i < list.size(); i++) {
                moznosti[i + 1] = list.get(i);
            }

        }
        if (status.equals("INVALID_REQUEST")) {
            
        }
        return moznosti;
    }
    public AutoCompleteParser() throws UnsupportedEncodingException {

    }

}
