package model;




import java.util.ArrayList;
import javax.swing.JComboBox;
import javax.swing.JTextField;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Hnedle
 */
public class RouteInformation {

    private String adresa1;
    private JComboBox cbAdresa1;
    private JComboBox cbAdresa2;
    private String adresa2;
    private ArrayList<WayDa> seznamCile;
    private String wayPoints;
    private String highways;
    private String tolls;
    private String optimizeWaypoints;
    private JTextField vzdalenost;
    private JTextField myTime;
    
//------------------------------------------------------------------------------
  
    public RouteInformation(String adresa1, String adresa2, ArrayList<WayDa> seznamCile,  Boolean Highways, Boolean Tolls, Boolean optimizeWaypoints,JTextField vzdalenost, JComboBox ad1, JComboBox ad2,JTextField myTime) {
        setAdresa1(adresa1);
        setAdresa2(adresa2);
        this.myTime = myTime;
        this.cbAdresa1 = ad1;
        this.cbAdresa2 = ad2;
        this.seznamCile = seznamCile;
        setOptimizeWaypoints(optimizeWaypoints);
        setHighways(Highways);
        setTolls(Tolls);
        this.vzdalenost = vzdalenost;
        wayPoints = makeWaypoints();
    }
    
    /*
    metoda pro vytvoření průjezdných bodů do string řetězce
    */
     private String makeWaypoints() {

        String waypoints = "[";
        for (int i = 0; i < seznamCile.size(); i++) {
            JTextField txt =(JTextField) seznamCile.get(i).getA().getEditor().getEditorComponent();
            if (txt.getText().equals("Zadejte adresu") == false) {
                if (txt.getText().equals("") == false) {
                    waypoints = waypoints + "{location: '" + txt.getText() + "'},";
                }
            }
        }
        
        
        
        
        waypoints = waypoints + "]";

        return waypoints;
    }

    public ArrayList<WayDa> getSeznamCile() {
        return seznamCile;
    }

    public void setSeznamCile(ArrayList<WayDa> seznamCile) {
        this.seznamCile = seznamCile;
    }

    public JTextField getVzdalenost() {
        return vzdalenost;
    }

    public void setVzdalenost(JTextField vzdalenost) {
        this.vzdalenost = vzdalenost;
    }
    

    public void setAdresa1(String adresa1) {
        adresa1 = "'" +adresa1 + "'";
        this.adresa1 = adresa1;
    }

    public String getAdresa1() {
        return adresa1;
    }

    public String getAdresa2() {
        return adresa2;
    }

    public String getWayPoints() {
        return wayPoints;
    }

    public void setAdresa2(String adresa2) {
        adresa2 = "'" +adresa2 + "'";
        this.adresa2 = adresa2;
    }


   

    public void setWayPoints(String wayPoints) {
        this.wayPoints = wayPoints;
    }




   
    public String getOptimizeWaypoints() {
        return optimizeWaypoints;
    }

    public String getHighways() {
        return highways;
    }

    public String getTolls() {
        return tolls;
    }

    public void setHighways(Boolean Highways) {
        if (Highways) {
            this.highways = "true";
        }
        else
            this.highways = "false";
    }

    public void setOptimizeWaypoints(Boolean optimizeWaypoints) {
        if (optimizeWaypoints) {
            this.optimizeWaypoints = "true";
            
        }
        else
            this.optimizeWaypoints = "false";
        
    }

    public void setTolls(Boolean Tolls) {
        if (Tolls) {
            this.tolls = "true";
            
        }
        else
            this.tolls = "false";
        
    }
    public void setMyTime(String mytime){
        myTime.setText(mytime);
    }
    /*
    metoda pro přepsání adres, přesnými adresami, pro které byla najita trasa
    */
    public void refreshAdressy(String[] pole){
           JTextField b = (JTextField) cbAdresa1.getEditor().getEditorComponent();
           b.setText(pole[0]);
           b = (JTextField) cbAdresa2.getEditor().getEditorComponent();
           b.setText(pole[pole.length-1]);
          
            
           
            for (int i = 1; i < pole.length-1; i++) {
                b = (JTextField) seznamCile.get(i-1).getA().getEditor().getEditorComponent();
                        b.setText(pole[i]);
                       
              
                
            }
       
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
}
